'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _objectWithoutProperties2 = require('babel-runtime/helpers/objectWithoutProperties');

var _objectWithoutProperties3 = _interopRequireDefault(_objectWithoutProperties2);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _Link = require('react-router/lib/Link');

var _Link2 = _interopRequireDefault(_Link);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Link = function (_Component) {
    (0, _inherits3.default)(Link, _Component);

    function Link(props) {
        (0, _classCallCheck3.default)(this, Link);
        return (0, _possibleConstructorReturn3.default)(this, _Component.call(this, props));
    }

    Link.prototype.render = function render() {
        var _props = this.props,
            element = _props.element,
            onClick = _props.onClick,
            displayName = _props.displayName,
            children = _props.children,
            others = (0, _objectWithoutProperties3.default)(_props, ['element', 'onClick', 'displayName', 'children']);

        if (element) {
            var security = element.security;
            if (security.indexOf("r") == -1) {
                return _react2.default.createElement('noscript', null);
            }
        }
        var linkProps = (0, _extends3.default)({
            children: displayName || (element ? element.value : "")
        }, others);
        if (onClick) {
            linkProps.onClick = function () {
                return onClick(element);
            };
        }
        if (children) {
            var style = "float:left;width:50px;display:inline";
            if (linkProps.children) {
                style += ";padding-left:10px";
            }
            return _react2.default.createElement(
                'div',
                { style: { style: style } },
                _react2.default.createElement(_Link2.default, linkProps)
            );
        }

        return _react2.default.createElement(_Link2.default, linkProps);
    };

    return Link;
}(_react.Component);

exports.default = Link;
module.exports = exports['default'];